HTTP/1.1 server configuration.
-
Method Summary
Modifier and TypeMethodDescriptionA single receive listener, this value is computed.A single send listener, this value is computed.booleanWhen true WebServer answers to expect continue with 100 continue immediately, not waiting for user to actually request the data.intMaximal size of received headers in bytes.intMaximal size of received HTTP prologue (GET /path HTTP/1.1).Connection receive event listeners for HTTP/1.1.booleanLogging of received packets.Requested URI discovery settings.Connection send event listeners for HTTP/1.1.booleansendLog()Logging of sent packets.booleanWhether to validate headers.booleanIf set to false, any path is accepted (even containing illegal characters).
-
Method Details
-
maxPrologueLength
int maxPrologueLength()Maximal size of received HTTP prologue (GET /path HTTP/1.1).- Returns:
- maximal size in bytes
-
maxHeadersSize
int maxHeadersSize()Maximal size of received headers in bytes.- Returns:
- maximal header size
-
validateHeaders
boolean validateHeaders()Whether to validate headers. If set to false, any value is accepted, otherwise validates headers + known headers are validated by format (content length is always validated as it is part of protocol processing (other headers may be validated if features use them)).- Returns:
- whether to validate headers
-
validatePath
boolean validatePath()If set to false, any path is accepted (even containing illegal characters).- Returns:
- whether to validate path
-
receiveLog
boolean receiveLog()Logging of received packets. Uses trace and debug levels on logger ofHttp1LoggingConnectionListenerwith suffix of.recv`.- Returns:
trueif logging should be enabled for received packets,falseif no logging should be done
-
sendLog
boolean sendLog()Logging of sent packets. Uses trace and debug levels on logger ofHttp1LoggingConnectionListenerwith suffix of.send`.- Returns:
trueif logging should be enabled for sent packets,falseif no logging should be done
-
continueImmediately
boolean continueImmediately()When true WebServer answers to expect continue with 100 continue immediately, not waiting for user to actually request the data.- Returns:
- if
trueanswer with 100 continue immediately after expect continue
-
requestedUriDiscovery
RequestedUriDiscoveryContext requestedUriDiscovery()Requested URI discovery settings.- Returns:
- settings for computing the requested URI
-
sendListeners
List<Http1ConnectionListener> sendListeners()Connection send event listeners for HTTP/1.1.- Returns:
- send event listeners
-
receiveListeners
List<Http1ConnectionListener> receiveListeners()Connection receive event listeners for HTTP/1.1.- Returns:
- receive event listeners
-
compositeSendListener
Http1ConnectionListener compositeSendListener()A single send listener, this value is computed.- Returns:
- send listener
-
compositeReceiveListener
Http1ConnectionListener compositeReceiveListener()A single receive listener, this value is computed.- Returns:
- receive listener
-